Skip to main content
GET
/
v1
/
pipeline-executions
Pipeline Executions
curl --request GET \
  --url https://eu1.api.matillion.com/dpc/v1/pipeline-executions \
  --header 'Authorization: Bearer <token>'
{
  "more": "<string>",
  "results": [
    {
      "environmentName": "Dev",
      "finishedAt": "2023-11-07T05:31:56Z",
      "message": "Rewrite Table",
      "pipelineExecutionId": "fd05a6c4-b3e1-4441-86a2-044d5092731d",
      "pipelineName": "My Pipeline",
      "pipelineType": "ORCHESTRATION",
      "projectId": "4a8a6162-702b-4efc-b2ec-c986e0bc95e4",
      "scheduleId": "9e2a6b04-ddd7-4bb4-b7dc-56e3b6f3ed43",
      "startedAt": "2023-11-07T05:31:56Z",
      "status": "RUNNING",
      "trigger": "SCHEDULE",
      "user": "A User"
    }
  ]
}

Authorizations

Authorization
string
header
required

a valid bearer token

Query Parameters

projectId
string

Filter results to pipelines belonging to this project.

paginationToken
string

Token to fetch the next batch of results for a previous query.

limit
integer<int32>
default:25

The maximum number of results to return (capped at 100).

pipelineName
string

Search against pipeline name, with case-insensitive partial matching.

environmentName
string

Filter results to pipelines executed within this environment.

startedAfter
string<date-time>

Filter results to pipelines started at or after this moment.

startedBefore
string<date-time>

Filter results to pipelines started at or before this moment.

timeFrame
string

Filter results to pipelines starting within this time frame

status
enum<string>

Filter results to pipelines which have the status of one of the provided values.

Available options:
RUNNING,
SUCCESS,
FAILED,
CANCELLING,
CANCELLED,
SKIPPED,
UNKNOWN
scheduleId
string

Filter results to pipelines belonging to this schedule.

Response

Pipelines executions returned successfully

more
string

Token for fetching the next batch of results for this query; if omitted then there are no more.

results
object[]

Results of query